VIGRA - TemplateCatmullRomSpline class Reference

[ VIGRA Homepage | Class Index | Function Index | File Index | Main Page ]

| CatmullRomSpline Class Template Reference |
--- | --- | ---

`#include "vigra/splines.hxx"`

## Public Types
typedef T | value_type
typedef T | argument_type
typedef T | result_type
enum | StaticOrder
## Public Methods
result_type | operator() (argument_type x) const
T | operator[] (T x) const
int | radius () const
unsigned int | derivativeOrder () const
ArrayVector< double > const & | prefilterCoefficients () const

## Detailed Description

### template<class T = double>
class vigra::CatmullRomSpline< T >

Interpolating 3-rd order splines.

Implements the Catmull/Rom cardinal function

It can be used as a functor, and as a kernel for resamplingConvolveImage() to create a differentiable interpolant of an image. However, it should be noted that a twice differentiable interpolant can be created with only slightly more effort by recursive prefiltering followed by convolution with a 3rd order B-spline.

#include "vigra/splines.hxx"
Namespace: vigra

## Member Typedef Documentation

typedef T argument_type

| the unary functor's argument type

typedef T result_type

| the unary functor's result type

typedef T value_type

| the kernel's value type

## Member Enumeration Documentation

enum StaticOrder

| the splines polynomial order

## Member Function Documentation

unsigned int derivativeOrder | ( |  | ) | const`[inline]`

| Derivative order of the function: always 0.

T operator[] | ( | T | x | ) | const`[inline]`

| index operator--same as operator()

ArrayVector<double> const& prefilterCoefficients | ( |  | ) | const`[inline]`

| Prefilter coefficients for compatibility with vigra::BSpline. (array has zero length, since prefiltering is not necessary).

int radius | ( |  | ) | const`[inline]`

| Radius of the function's support. Needed for resamplingConvolveImage(), always 2.

The documentation for this class was generated from the following file:

- vigra/splines.hxx

© Ullrich Köthe (koethe@informatik.uni-hamburg.de) Cognitive Systems Group, University of Hamburg, Germany | html generated using doxygen and Python VIGRA 1.5.0 (7 Dec 2006)